package cn.ibizlab.core.extensions.mapper;

import cn.ibizlab.core.lite.extensions.domain.EntityObj;
import cn.ibizlab.core.rule.domain.ExecResult;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DbEntityMapper extends BaseMapper<EntityObj>{

    List<EntityObj> search(@Param("sql") String sql, @Param("ew") Wrapper<EntityObj> wrapper);
    Integer searchCount(@Param("sql") String sql, @Param("ew") Wrapper<EntityObj> wrapper);
    int replaceBatch(List<ExecResult> var1);
    int clearBatch(List<ExecResult> var1);


}